Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tapeutils.gui
Class ListCanvas

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              tapeutils.gui.ListCanvas

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ListCanvas
extends java.awt.Canvas

List Canvas class.

Author:
  hldswrth
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `LINE_WIDTH` Thw width of a line in characters.
`static int` | `LINES` The number of lines displayed.

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ListCanvas(java.io.InputStream fontDataStream)` Constructs a new ListCanvas.

Method Summary
`void` | `draw()` Draws the image for the Canvas.
`java.awt.Dimension` | `getMinimumSize()`
`java.awt.Dimension` | `getPreferredSize()`
`void` | `initializeFontData(java.io.InputStream is)` Initialise font data from the input stream.
`int` | `numLines()` Returns the number of lines of display.
`void` | `paint(java.awt.Graphics g)` Paints the image of the Canvas.
`void` | `setFileContent(byte[] fileBytes)` Update the file content.
`void` | `setLineNumber(int number)` Set the current line number.
`void` | `update(java.awt.Graphics g)` Updates the Canvas display.

Methods inherited from class java.awt.Canvas
`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LINES

    public static final int LINES

  The number of lines displayed.

  See Also:
    Constant Field Values

### LINE_WIDTH

    public static final int LINE_WIDTH

  Thw width of a line in characters.

  See Also:
    Constant Field Values

Constructor Detail

### ListCanvas

    public ListCanvas(java.io.InputStream fontDataStream)

  Constructs a new ListCanvas.

Parameters:
  `fontDataStream` - An input stream containing the font data (in the form of a ZX81 ROM image).

Method Detail

### setLineNumber

    public void setLineNumber(int number)

  Set the current line number.

  Parameters:
    `number` - The line number.

### draw

    public void draw()

  Draws the image for the Canvas.

### initializeFontData

    public void initializeFontData(java.io.InputStream is)

  Initialise font data from the input stream.

  Parameters:
    `is` - The input stream.

### paint

    public void paint(java.awt.Graphics g)

  Paints the image of the Canvas.

  Parameters:
    `g` - The Graphics object for the paint operation.

### update

    public void update(java.awt.Graphics g)

  Updates the Canvas display.

  The Canvas does not need to be cleared.

  Parameters:
    `g` - The Graphics object for the update operation.

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Returns:
    The minimum size of the canvas.

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Returns:
    The minimum size of the canvas.

### setFileContent

    public void setFileContent(byte[] fileBytes)

  Update the file content.

  Parameters:
    `fileBytes` - The file content.

### numLines

    public int numLines()

  Returns the number of lines of display.

  Returns:
    The number of lines.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD